Please enable abe or Western Abenaki
Closed, ResolvedPublic

Description

It is possible to make Western Abenaki (code abe) enable on Wikitata? It's for adding some geographical names in Quebec in this language. (ex.: http://www.toponymie.gouv.qc.ca/ct/ToposWeb/Fiche.aspx?no_seq=373226 ).

The code and the autonym are:
abe wôbanakiôdwawôgan

See T59342 or T146707 for similar requests.

Tanks

Fralambert

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 14 2016, 3:32 AM
Dereckson triaged this task as Normal priority.
Restricted Application added subscribers: JEumerus, Matanya. · View Herald TranscriptNov 14 2016, 3:44 AM

Change 321345 had a related patch set uploaded (by Dereckson):
Add Abenaki language (abe) to Wikidata

https://gerrit.wikimedia.org/r/321345

Change 321345 merged by jenkins-bot:
Add Abenaki language (abe) to Wikidata

https://gerrit.wikimedia.org/r/321345

Mentioned in SAL (#wikimedia-operations) [2016-11-14T14:52:56Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:321345|Add Abenaki language (abe) to Wikidata (T150633)]] (duration: 00m 48s)

Has this been looked at by someone from the language committee?

Dereckson added a comment.EditedNov 15 2016, 5:28 PM

For MediaWiki and the WMF cluster, technical aspects of language are overviewed by the Wikimedia Language engineering team, while configuration requests from wikis are handled by the Wikimedia Site Requests projets.

LangCom offers a valuable expertise to provide insight about languages, iso codes, etc.. But the different aspects of the configuration requests and are not generally handled by LangCom. The LangCom mandate is to "develop a clear policy and documentation for new language projects and their proposal, processing those requests, and supporting and coordinating new projects to optimize their success", the keyword here is projects: the LangCom mission is to evaluate, support and make a success of new Wikipedias, Wikisources, etc. They take formal decisions, and, as least theorically as the board has provided a statement it implicitly approves the requests, such decisions require approval from the WMF board to be enacted.

So, I'm not sure what's the role of LangCom in this kind of requests.

I imagine this is to be sure of the validity of the request, pick the right language variant, check the ISO code and the autonym? If so, if you take a look to https://www.mediawiki.org/wiki/Developers/Maintainers, under "Language setup", "New languages or fixes to language settings", you'll see I contribute to take care of this kind of issues since the 2012 Berlin hackathon.

As such, I'm so happy to offer my expertise to determine the best ISO code for a language, the correct variant and assert its suitability. And that's I did for the Fralambert request during an IRC conversation where we checked on various source the autonyms, given as references in the commit, and the status on SIL, ethnologue, etc.

So to summarize, currently, from the Wikimedia Site Requests point of view, these requests can so be handled, as long as they have been received technical input of someone knowledgeable about how languages work on MediaWiki and Wikimedia to be sure 1. the request is legit 2. the right and precise language has been identified 3. the technical information about the language is valid.

It was agreed that they get the ok from the language committee. I'd like to keep it that way because we really need to keep the language codes we allow data in in check.

thiemowmde reopened this task as Open.Dec 8 2016, 5:35 PM
thiemowmde added a subscriber: thiemowmde.

The patch above added this to the wrong setting, and must be reverted because of this. Extra monolingual language codes are maintained in getMonolingualTextLanguages in WikibaseRepo.php.

Change 325962 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Revert "Add Abenaki language (abe) to Wikidata"

https://gerrit.wikimedia.org/r/325962

Change 325965 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Add abe (Western Abenaki) as monolingual language code

https://gerrit.wikimedia.org/r/325965

thiemowmde moved this task from incoming to in current sprint on the Wikidata board.

Change 325965 merged by jenkins-bot:
Add abe (Western Abenaki) as monolingual language code

https://gerrit.wikimedia.org/r/325965

Change 325962 merged by jenkins-bot:
Revert "Add Abenaki language (abe) to Wikidata"

https://gerrit.wikimedia.org/r/325962

Nikki added a subscriber: Nikki.Dec 12 2016, 7:39 PM

There are currently 4 items with labels for this language code. Does this mean those labels should be removed?

Mentioned in SAL (#wikimedia-operations) [2016-12-12T19:50:32Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:325962|Revert "Add Abenaki language (abe) to Wikidata"]] T150633 (duration: 00m 46s)

thiemowmde closed this task as Resolved.Dec 13 2016, 8:50 AM
thiemowmde moved this task from Review to Done on the Wikidata-Former-Sprint-Board board.
thiemowmde removed a project: Patch-For-Review.
thiemowmde claimed this task.
thiemowmde added a subscriber: Dereckson.

No need to remove such labels. They don't do harm.